summaryrefslogtreecommitdiff
path: root/tests/stratum-overlap-keeps-directory-links.script
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2012-05-14 16:23:39 +0000
committerRichard Maw <richard.maw@codethink.co.uk>2012-05-14 16:23:39 +0000
commitcd8170c8f7a6c8c82d43f8b992c07041fa22a31b (patch)
tree869549f6f2f4b0208c7dbfa17c035907e1b17404 /tests/stratum-overlap-keeps-directory-links.script
parent3f687742106ed12b6ce174e6d2ca864c26b376c4 (diff)
downloadmorph-cd8170c8f7a6c8c82d43f8b992c07041fa22a31b.tar.gz
tests: add checks for link behaviour
Diffstat (limited to 'tests/stratum-overlap-keeps-directory-links.script')
-rwxr-xr-xtests/stratum-overlap-keeps-directory-links.script28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/stratum-overlap-keeps-directory-links.script b/tests/stratum-overlap-keeps-directory-links.script
new file mode 100755
index 00000000..96668708
--- /dev/null
+++ b/tests/stratum-overlap-keeps-directory-links.script
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# If a stratum has symbolic links pointing to files, then the symlink
+# should be removed and replaced by that file
+#
+# Copyright (C) 2011, 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+cache="$DATADIR/cache/artifacts"
+
+"$SRCDIR/scripts/test-morph" \
+ build test:morphs-repo overlap overlap-stratum.morph
+(cd "$cache" && for f in *.stratum.overlap-stratum; do tar -tvf "$f"; done | sed 's/^\(\S*\)[^.]*\./\1 /' |
+ LC_ALL=C sort) | grep '/usr -> /'